WCSCAT(3)

NAME
wcscat, wcsncat - concatenate wide strings

SYNOPSIS
#include <wchar.h>
wchar_t *
wcscat(wchar_t * restrict s, const wchar_t * restrict append);
wchar_t *
wcsncat(wchar_t * restrict s, const wchar_t * restrict append, size_t count);

DESCRIPTION
The wcscat() and wcsncat() functions append a copy of the wide string append to the end of the wide string s, then add a terminating null wide character (L'\0'). The wide string s must have sufficient space to hold the result.

The wcsncat() function appends not more than count wide characters where space for the terminating null wide character should not be included in count.

RETURN VALUES
The wcscat() and wcsncat() functions return the pointer s.

SEE ALSO
strcat(3), strlcpy(3), wcscpy(3), wcslcpy(3), wmemcpy(3), wmemmove(3)

STANDARDS
The wcscat() and wcsncat() functions conform to isoC-99 and were first introduced in isoC-amd1.

HISTORY
The wcscat() and wcsncat() functions were ported from NetBSD and first appeared in OpenBSD 3.8.

CAVEATS
Using the functions wcscat() and wcsncat() is very error-prone with respect to buffer overflows; see the EXAMPLES section in strcat(3) for correct usage. Using wcslcat(3) is a better choice in most cases.